DRM_ATOMIC_HELPER_CO(9)

NAME
drm_atomic_helper_commit_planes - commit plane state

SYNOPSIS

void drm_atomic_helper_commit_planes(struct drm_device * dev, struct drm_atomic_state * old_state);

ARGUMENTS

dev
    DRM device

old_state
    atomic state object with old state structures

DESCRIPTION

This function commits the new plane state using the plane and atomic helper functions for planes and crtcs. It assumes that the atomic state has already been pushed into the relevant object state pointers, since this step can no longer fail.

It still requires the global state object old_state to know which planes and crtcs need to be updated though.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT